Bug 1434174 - Tags not sorted while tagging services in SUI
Summary: Tags not sorted while tagging services in SUI
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - Service
Version: 5.8.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: GA
: 5.8.0
Assignee: Josh Langholtz
QA Contact: Nandini Chandra
URL:
Whiteboard: sui
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-03-20 21:40 UTC by Nandini Chandra
Modified: 2017-05-31 14:43 UTC (History)
6 users (show)

Fixed In Version: 5.8.0.8
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-31 14:43:07 UTC
Category: ---
Cloudforms Team: ---
Target Upstream Version:


Attachments (Terms of Use)
Screen shot of Edit Tag dropdown for Services in SUI (106.27 KB, image/jpeg)
2017-03-20 21:43 UTC, Nandini Chandra
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1367 normal SHIPPED_LIVE Moderate: CFME 5.8.0 security, bug, and enhancement update 2017-05-31 18:16:03 UTC

Description Nandini Chandra 2017-03-20 21:40:08 UTC
Description of problem:
-----------------------
The Tags are not sorted while tagging services in SUI.
See attached screen shot.


Version-Release number of selected component (if applicable):
-------------------------------------------------------------
5.8.0.4


How reproducible:
-----------------
Always


Steps to Reproduce:
-------------------
1.Tag a service in SUI by clicking 'Policy' and then clicking 'Edit Tags'.


Actual results:
---------------
Tags not sorted while tagging services in SUI


Expected results:
----------------
Tags should be sorted while tagging services in SUI, just like they are sorted in admin UI


Additional info:
----------------

Comment 2 Nandini Chandra 2017-03-20 21:43:32 UTC
Created attachment 1264858 [details]
Screen shot of Edit Tag dropdown for Services in SUI

Comment 4 CFME Bot 2017-03-22 20:07:58 UTC
New commit detected on ManageIQ/manageiq-ui-service/master:
https://github.com/ManageIQ/manageiq-ui-self_service/commit/1dd4af4e320ec5d5f24aecd52ad097c33d37f061

commit 1dd4af4e320ec5d5f24aecd52ad097c33d37f061
Author:     Josh Langholtz <jjlangholtz@gmail.com>
AuthorDate: Wed Mar 22 14:38:26 2017 -0400
Commit:     Josh Langholtz <jjlangholtz@gmail.com>
CommitDate: Wed Mar 22 15:26:56 2017 -0400

    Sort tagging widget tag categories
    
    * Add tags back to `getServices` request attributes for bulk taggging
    * Increase width enough to fully display initial category and value
    * Update specs to account for sorted categories
    
    https://www.pivotaltracker.com/story/show/142251411
    https://bugzilla.redhat.com/show_bug.cgi?id=1434174

 client/app/services/services-state.service.js       |  1 +
 client/app/shared/tagging/_tagging.sass             |  4 ++--
 client/app/shared/tagging/tagging.component.js      |  4 ++--
 client/app/shared/tagging/tagging.component.spec.js | 11 +++++------
 4 files changed, 10 insertions(+), 10 deletions(-)

Comment 5 Nandini Chandra 2017-04-07 16:37:30 UTC
Verified in 5.8.0.8

Comment 7 errata-xmlrpc 2017-05-31 14:43:07 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1367


Note You need to log in before you can comment on or make changes to this bug.